Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util
[Java] Class ObjectGraphBuilder.DefaultNewInstanceResolver

    java.lang.Object
      groovy.util.ObjectGraphBuilder.DefaultNewInstanceResolver

All Implemented Interfaces:
  NewInstanceResolver

    public static class ObjectGraphBuilder.DefaultNewInstanceResolver

Default impl that calls Class.newInstance()

Method Summary
`Object` | `newInstance(Class klass, Map attributes)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### newInstance

    public Object newInstance(Class klass, Map attributes)

Copyright © 2003-2010 The Codehaus. All rights reserved.